/**
 * <p>Title: Informatik IIb - bungen</p>
 * <p>Description: Test endlicher deterministischer Automat</p>
 * <p>Company: Fachhochschule Jena</p>
 * @author Oliver Jack
 * @version 1.0
 */

import java.io.*;

public class FSMUser {
	public static void main(String[] args) {
		String fileName = new String();
		String rAction = new String();
		BufferedReader din = new BufferedReader(
				new InputStreamReader(System.in));

		if (args.length== 1) {
			fileName = args[0];
		} else {
			fileName = "FSM.ini";
		}

		try {
			FSM test = new FSM(fileName);
			// see what have have
			test.print();
			// stop reading commands with Ctrl+Z
			do {
				System.out.println("Aktion: ");
				rAction = din.readLine();
				if (rAction != null && !rAction.trim().isEmpty()) {
					test.action(rAction);
					System.out.println(test);
				}
			} while (rAction != null);

		} catch (IOException ioe) {
			System.err.println(fileName + ": " + ioe);
		}
	}
}
